Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020328
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorsometimes2012-04-23 13:252012-10-11 14:34
ReporterplujanView Statuspublic 
Assigned ToAugustoMauch 
PrioritylowResolutionfixedFixed in Version3.0MP17
StatusclosedFix in branchFixed in SCM revisionf218a3d70f90
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Todbaz
Web browserMozilla Firefox
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020328: Sometimes it is possible to trigger an incomplete autosave

DescriptionWhen creating a Sales Invoice header on grid, sometimes when I switch to Lines the Business Partner gets selected but an error is shown regarding a missing Location.
Steps To ReproduceOpen Sales Invoice window.
Create a new Header in Grid mode
As expected, focus moves to Business Partner.
Select a Business Partner from the drop down list and then click the Lines tab to focus it.
The line is not saved (1 out of 10 times aprox) since Location could not be set.
TagsNo tags attached.
Attached Filesdiff file icon issue20328.diff [^] (1,112 bytes) 2012-10-04 18:18 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0053123)
hgbot (developer)
2012-10-08 18:07

Repository: erp/devel/pi
Changeset: c7d6d5cabd78468fc51542479d4a036d51f82a3d
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Oct 08 18:03:20 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c7d6d5cabd78468fc51542479d4a036d51f82a3d [^]

Fixes issue 20328: The autosave is not done until receiving the FIC response

If an autosave is executed while waiting for a FIC response, the data saved is not the definitive, and might be invalid or incomplete.

When that happens, the actual save will be postponed until the FIC response is received, the same done it is done when the saveRow function is executed.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
---
(0053124)
AugustoMauch (developer)
2012-10-08 18:08

Reopened to enter closed by field
(0053167)
dbaz (developer)
2012-10-09 13:14

If you do the steps to reproduce very fast (the step to switch to lines), I can still reproduce the issue
(0053198)
hgbot (developer)
2012-10-10 11:34

Repository: erp/devel/pi
Changeset: f218a3d70f90ad1e08814c0304e23d3e16b4967c
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Oct 10 11:32:37 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f218a3d70f90ad1e08814c0304e23d3e16b4967c [^]

Fixes issue 20328: Sometimes it is possible to trigger an incomplete autosave

The previous approach used to fix this issue not only did not work in the grid view, but it was not completely correct in the form view. If we allowed to move to the child tab before saving the parent tab, we would be enabling to create a child record, which would fail if the parent record has not been saved yet.

The new approach is to not allow to change the active tab at all until the currently focused tab can be saved (that is, until it has received the FIC response).

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
---
(0053266)
hudsonbot (developer)
2012-10-11 07:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/63dfc135f2a1 [^]

Maturity status: Test
(0053292)
hudsonbot (developer)
2012-10-11 07:51

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/63dfc135f2a1 [^]

Maturity status: Test
(0053308)
dbaz (developer)
2012-10-11 14:34

Reviewed @ changeset: 18201 - d5a54ef8d574

- Issue History
Date Modified Username Field Change
2012-04-23 13:25 plujan New Issue
2012-04-23 13:25 plujan Assigned To => AugustoMauch
2012-04-23 13:25 plujan Web browser => Mozilla Firefox
2012-04-23 13:25 plujan Modules => Core
2012-10-04 18:18 AugustoMauch File Added: issue20328.diff
2012-10-04 18:19 AugustoMauch Status new => scheduled
2012-10-04 18:19 AugustoMauch fix_in_branch => pi
2012-10-08 18:07 hgbot Checkin
2012-10-08 18:07 hgbot Note Added: 0053123
2012-10-08 18:07 hgbot Status scheduled => resolved
2012-10-08 18:07 hgbot Resolution open => fixed
2012-10-08 18:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c7d6d5cabd78468fc51542479d4a036d51f82a3d [^]
2012-10-08 18:08 AugustoMauch Note Added: 0053124
2012-10-08 18:08 AugustoMauch Status resolved => new
2012-10-08 18:08 AugustoMauch Resolution fixed => open
2012-10-08 18:08 AugustoMauch Status new => scheduled
2012-10-08 18:08 AugustoMauch Issue Monitored: dbaz
2012-10-08 18:09 AugustoMauch Review Assigned To => dbaz
2012-10-08 18:09 AugustoMauch Web browser Mozilla Firefox => Mozilla Firefox
2012-10-08 18:09 AugustoMauch fix_in_branch pi =>
2012-10-08 18:09 AugustoMauch Status scheduled => resolved
2012-10-08 18:09 AugustoMauch Resolution open => fixed
2012-10-09 13:14 dbaz Note Added: 0053167
2012-10-09 13:14 dbaz Status resolved => new
2012-10-09 13:14 dbaz Resolution fixed => open
2012-10-10 11:34 hgbot Checkin
2012-10-10 11:34 hgbot Note Added: 0053198
2012-10-10 11:34 hgbot Status new => resolved
2012-10-10 11:34 hgbot Resolution open => fixed
2012-10-10 11:34 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/c7d6d5cabd78468fc51542479d4a036d51f82a3d [^] => http://code.openbravo.com/erp/devel/pi/rev/f218a3d70f90ad1e08814c0304e23d3e16b4967c [^]
2012-10-11 07:50 hudsonbot Checkin
2012-10-11 07:50 hudsonbot Note Added: 0053266
2012-10-11 07:51 hudsonbot Checkin
2012-10-11 07:51 hudsonbot Note Added: 0053292
2012-10-11 14:34 dbaz Note Added: 0053308
2012-10-11 14:34 dbaz Status resolved => closed
2012-10-11 14:34 dbaz Fixed in Version => 3.0MP17


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker